<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextUserGroup Method (IEdmUserMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr5 Interface : GetNextUserGroup Method (IEdmUserMgr5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position in the enumeration of the next user group

Gets the next user group in an enumeration of all user groups in the vault.

# Syntax

Visual Basic |
--- | ---

    Function GetNextUserGroup( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmUserGroup5

C# |
--- | ---

    IEdmUserGroup5 GetNextUserGroup(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmUserGroup5^ GetNextUserGroup(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position in the enumeration of the next user group

#### Return Value

IEdmUserGroup5

# Example

Get and Set Folder Permissions (VB.NET)
Get and Set Folder Permissions (C#)
Traverse Users and Groups in Vault (C#)
Traverse Users and Groups in Vault (VB.NET)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first user group in the list, IEdmPos5. Call IEdmUserMgr5::GetFirstUserGroupPosition to obtain poPos.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the user groups in the list.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr5 Interface
IEdmUserMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2